package de.intevation.flys.client.client.services;

import com.google.gwt.user.client.rpc.RemoteService;
import com.google.gwt.user.client.rpc.RemoteServiceRelativePath;

import de.intevation.flys.client.shared.exceptions.ServerException;
import de.intevation.flys.client.shared.model.Artifact;
import de.intevation.flys.client.shared.model.Collection;
import de.intevation.flys.client.shared.model.Recommendation;

/** @see LoadArtifactServiceImpl */
@RemoteServiceRelativePath("load-artifact")
public interface LoadArtifactService extends RemoteService {

    /** @see LoadArtifactServiceImpl */
    Artifact load(
        Collection     parent,
        Recommendation recom,
        String         factory,
        String         locale)
    throws ServerException;

    /** @see LoadArtifactServiceImpl */
    Artifact[] loadMany(
        Collection       parent,
        Recommendation[] recom,
        String           factory,
        String           locale)
    throws ServerException;
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
